#ifndef LOADBALANCER_H
#define LOADBALANCER_H

#ifdef _WINDOWS
 #define LB_EXPORT __declspec(dllexport)
#else
 #define LB_EXPORT
#endif

struct http_listener{
    char *name;
    char *url;
    int weight;
};

struct header{
    char *name;
    char *value;
};
#ifdef __cplusplus
extern "C" {
#endif

LB_EXPORT int lb_policy_init(struct http_listener listeners[], int noOfListeners);
LB_EXPORT char *lb_decision(int secure, char *url, struct header headers[], int noOfHeaders);

#ifdef __cplusplus
} 
#endif

#endif //LOADBALANCER_H

